---
# tasks file for gunicorn
- name: Install gunicorn
  pip:
      chdir=/home/ubuntu/flask-app
      name=gunicorn
      virtualenv=venv
  register: gunicorninstalled

- name: Place gunicorn.service file in systemd directory
  copy:
    src: ./../files/gunicorn.service
    dest: /etc/systemd/system/gunicorn.service
    owner: root
    group: root
  become: yes

- name: Make sure gunicorn is running
  systemd:
    state: started
    service: gunicorn
    daemon_reload: yes
  become: yes

- name: Enable gunicorn
  systemd:
    service: gunicorn
    enabled: yes
  become: yes
